Bug 502703 - RFE: option to make an upgrade close to a fresh installation
RFE: option to make an upgrade close to a fresh installation
Status: NEW
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-26 21:33 EDT by Rahul Sundaram
Modified: 2014-08-16 20:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2009-05-26 21:33:49 EDT
Description of problem:

Not sure if this should be filed against Anaconda or preupgrade but here is what I would like. When I am doing an upgrade from a previous release, I am currently missing out a lot of new functionality introduced by packages where are newly made default in the latest release. If there was a option to make it close a fresh installation by filling in the gaps but not deleting the configuration that I have already in the previous release, that would be awesome. 

Apparently Ubuntu has something similar

http://blogs.gnome.org/bolsh/2009/05/26/trial-by-fire-distro-upgrade/

I imagine this can work by diff'ing the comps files for both versions for the groups I have installed and offering me the ability to install those packages.

Note You need to log in before you can comment on or make changes to this bug.